## ros-rolling-geodesy 1.0.4

=== debian/changelog ===
ros-rolling-geodesy (1.0.4-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 26 Mar 2021 12:36:33 -0000

ros-rolling-geodesy (0.5.3-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Mar 2018 00:00:00 -0000

ros-rolling-geodesy (0.5.2-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 00:00:00 -0000

ros-rolling-geodesy (0.5.1-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 00:00:00 -0000

ros-rolling-geodesy (0.5.0-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 00:00:00 -0000

ros-rolling-geodesy (0.4.0-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 00:00:00 -0000

ros-rolling-geodesy (0.3.2-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 00:00:00 -0000

ros-rolling-geodesy (0.3.1-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 00:00:00 -0000

ros-rolling-geodesy (0.3.0-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 00:00:00 -0000

ros-rolling-geodesy (0.2.1-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 00:00:00 -0000

ros-rolling-geodesy (0.2.0-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 00:00:00 -0000

ros-rolling-geodesy (0.1.0-4focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-geodesy//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-geodesy 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geodesy)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(geographic_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(unique_identifier_msgs REQUIRED)

include_directories(
  include
)

set(dependencies
  angles
  geographic_msgs
  geometry_msgs
  sensor_msgs
  unique_identifier_msgs
)

ament_python_install_package(${PROJECT_NAME} PACKAGE_DIR src/${PROJECT_NAME})

# build C++ coordinate conversion library
add_library(geoconv STATIC src/conv/utm_conversions.cpp)
ament_target_dependencies(geoconv 
  ${dependencies}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}/)
install(TARGETS geoconv
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_dependencies(${dependencies})
ament_export_include_directories(include)
ament_export_libraries(geoconv)
ament_package()

=== debian/changelog ===
ros-rolling-geodesy (1.0.5-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 27 Apr 2023 17:02:50 -0000

ros-rolling-geodesy (0.5.3-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Mar 2018 07:00:00 -0000

ros-rolling-geodesy (0.5.2-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-rolling-geodesy (0.5.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-rolling-geodesy (0.5.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 07:00:00 -0000

ros-rolling-geodesy (0.4.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-rolling-geodesy (0.3.2-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 07:00:00 -0000

ros-rolling-geodesy (0.3.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 07:00:00 -0000

ros-rolling-geodesy (0.3.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 07:00:00 -0000

ros-rolling-geodesy (0.2.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 07:00:00 -0000

ros-rolling-geodesy (0.2.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 07:00:00 -0000

ros-rolling-geodesy (0.1.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-geodesy
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, python3-pyproj, ros-rolling-ament-cmake, ros-rolling-angles, ros-rolling-geographic-msgs, ros-rolling-geometry-msgs, ros-rolling-sensor-msgs, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/geodesy
Standards-Version: 3.9.2

Package: ros-rolling-geodesy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pyproj, ros-rolling-angles, ros-rolling-geographic-msgs, ros-rolling-geometry-msgs, ros-rolling-sensor-msgs, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace
Description: Python and C++ interfaces for manipulating geodetic coordinates.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
